


{% if V.value|length == 0 and V.value is null %}


    <div class="row">
        <div class = "colonne2 col-md-9 col-sm-8 col-xs-12" onClick='sendData("data_type={{ V.parameter.dataType }}&parameter_id={{ V.parameter_id }}&sysma_action_id={{ V.sysma_action_id }}&sysma_object_id={{ sysma_object_id }}", "{{url('sysma-action-parameter-value-create')}}", "renseigneFormTr{{ V.sysma_action_id }}{{ V.parameter_id }}");'>
            <div class="value sousColonne2-1 aucuneValeur">Aucune valeur actuelle</div>
        </div>

        <div class="colonne3  col-md-3 col-sm-4 col-xs12">
            {% include('sysma-action-parameter-value/sysmaActionParameterValueFillButton.twig') %}              

        </div>
    </div>


{% else %}

    <div class="row">
        <div class="colonne2 col-md-9 col-sm-8 col-xs-12"         
            {% if V.parameter.dataType != 'sysmaObjectLinkType' and V.parameter.dataType  != 'hyperlink' %}  
                onClick='sendData("data_type={{V.parameter.dataType}}&data_index={{V.data_index}}&parameter_id={{V.parameter_id}}", "{{url('sysma-action-parameter-value-update')}}", "renseigneFormTr{{V.sysma_action_id}}{{V.parameter_id}}", event);'
            {% endif %}
            >

            {% if V.parameter.dataType == 'textChoiceType'  %}                
                <div class="value sousColonne2-1"><acronym title="Donnée ajoutée le {{V.creation_date|date('d/m/Y') }} {% if V.lastname != null %}par {{V.firstname }} {{V.lastname }} {% endif %}[{{ V.data_index}}]">{{ V.value|raw }}</acronym><small>{{ V.descriptionparameter }}</small></div>

            {% elseif V.parameter.dataType == 'multipleTextChoiceType'  %}     
                <div class="value sousColonne2-1"><acronym title="Donnée ajoutée le {{V.creation_date|date('d/m/Y') }} {% if V.lastname != null %}par {{V.firstname }} {{V.lastname }} {% endif %}[{{ V.data_index}}]">{{ V.value|join(', ')|raw }}</acronym></div>


            {% elseif V.parameter.dataType == 'booleanType'  %}  
                <div class="value sousColonne2-1"><acronym title="Donnée ajoutée le {{V.creation_date|date('d/m/Y') }} {% if V.lastname != null %}par {{V.firstname }} {{V.lastname }} {% endif %}[{{ V.data_index}}]">
                        {% if V.value == 1  %}     oui    {% endif %}       
                        {% if V.value == 0  %}     non    {% endif %}   
                    </acronym>
                </div>

            {% elseif  V.parameter.dataType == 'sysmaObjectLinkType' and V.value != '' and V.value != 'null'  %} 
                <div class="value sousColonne2-1">
                    <acronym title="Donnée ajoutée le {{V.creation_date|date('d/m/Y') }}  {% if V.lastname != null %} par {{V.firstname }} {{V.lastname }} {% endif %}  [{{ V.data_index}}]">

                        {%  set startId = V.value|split('[') %}
                        {%  set value = startId.0 %}
                        {%  set objectType = startId.1|slice(0,1) %}
                        {%  set objectId = startId.1|slice(1,-1) %}
                        {% if objectType== 'o' %} {%  set objectUrl = url('objet-carte', { sysma_object_id : objectId })%} {%  endif %}

                        {{  (value~' [<a href="'~objectUrl~'" target="_blank">'~objectType~objectId~'</a>]')|raw }}
                    </acronym>
                    {{ V.parameter.unit }}
                </div>

                
            {% elseif  V.parameter.dataType == 'hyperlink'  %}  
                <div class="value sousColonne2-1"><acronym title="Donnée ajoutée le {{V.creation_date|date('d/m/Y')}}  {% if V.lastname != null %}par {{V.firstname }} {{V.lastname }} {% endif %}[{{ V.data_index}}]">
                       
                    {% if V.value|slice(0,8)=='https://' or V.value|slice(0,7)=='http://' %} <a href="{{ V.value }}" target="_blank">{{V.value}}</a>
                    {% elseif V.value|slice(1,2)==':\\' or V.value|slice(0,2)=='\\\\' or V.value|slice(0,1)=='/' %} <a href="file:///{{ V.value }}" target="_blank">{{V.value}}</a>
                    {% else %}
                    {{ V.value }}
                    {% endif %}

                    </acronym>
                </div>

            {% else %}
                <div class="value sousColonne2-1"><acronym title="Donnée ajoutée le {{V.creation_date|date('d/m/Y') }} {% if V.lastname != null %}par {{V.firstname }} {{V.lastname }} {% endif %}[{{ V.data_index}}]">{{ V.value|raw }}</acronym>
                    {{ V.parameter.unit }}
                </div>
            {% endif %}

            {# BOUTONS #}
        </div>
        <div class="colonne3 col-md-3 col-sm-4 col-xs-12">

            {% include('sysma-action-parameter-value/sysmaActionParameterValueModifcationButton.twig') %}              
        </div>
    </div>


{% endif %}

